LongstaffSchwartzMultiPathPricer Class Reference
Monte Carlo framework

Longstaff-Schwarz path pricer for early exercise options. More...

`#include <ql/experimental/mcbasket/longstaffschwartzmultipathpricer.hpp>`

Inheritance diagram for LongstaffSchwartzMultiPathPricer:
[legend]

## Public Member Functions

| LongstaffSchwartzMultiPathPricer (const boost::shared_ptr< PathPayoff > &, const std::vector< Size > &, const std::vector< Handle< YieldTermStructure > > &, const Array &, Size, LsmBasisSystem::PolynomType)
Real | operator() (const MultiPath &multiPath) const
virtual void | calibrate ()

## Protected Member Functions

PathInfo | transformPath (const MultiPath &path) const

## Protected Attributes

bool | calibrationPhase_
const boost::shared_ptr< PathPayoff > | payoff_
boost::scoped_array< Array > | coeff_
boost::scoped_array< Real > | lowerBounds_
const std::vector< Size > | timePositions_
const std::vector< Handle< YieldTermStructure > > | forwardTermStructures_
const Array | dF_
std::vector< PathInfo > | paths_
const std::vector< boost::function1< Real, Array > > | v_

## Detailed Description

Longstaff-Schwarz path pricer for early exercise options.

References:

Francis Longstaff, Eduardo Schwartz, 2001. Valuing American Options by Simulation: A Simple Least-Squares Approach, The Review of Financial Studies, Volume 14, No. 1, 113-147

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature